/**
 * Theme Name: Donnelly Construction 2024
 * Theme URI: https://www.elegantthemes.com/gallery/divi/
 * Description: Divi Child Theme
 * Author: Interactive Media Consulting, LLC
 * Author URI: https://www.imediaconsult.com
 * Template: Divi
 * Version: 1.0.0
 -----------------------------------------------------------------------------
 */

/**
 * Table of Contents
 *
 * 1.0  - Typography
 * 2.0  - Elements (forms, lists, horizontal rules)
 * 3.0  - Navigation (links, menus, pagination)
 * 4.0  - Header
 * 5.0  - Content (pages, posts)
 * 6.0  - Media (captions, galleries)
 * 7.0  - Widgets
 * 8.0  - Footer
 * 9.0  - Plugins
 * 10.0 - Media Queries
 * 11.0 - Print Queries
 -----------------------------------------------------------------------------
 */

/**
 * 1.0 Typography
 -----------------------------------------------------------------------------
 */

@font-face {
font-family: 'aptos_reg';
src: url(https://donnelly.imc-sandbox.com/wp-content/themes/donnelly/fonts/aptos.ttf);
}

@font-face {
font-family: 'roboto_slab';
src: url(https://donnelly.imc-sandbox.com/wp-content/themes/donnelly/fonts/RobotoSlab-Bold.ttf);
}

@font-face {
font-family: 'barlowsemi-bold';
src: url(https://donnelly.imc-sandbox.com/wp-content/themes/donnelly/fonts/BarlowSemiCondensed-Bold.ttf);
}

body {
	font-family: 'aptos_reg' !important;
	color: #000;
	font-size: 16px;
}

h1, h2, h3, h4, h5, h6 {
	color: #000;
}

h1 {
	font-family: 'barlowsemi-bold' !important;
}

h2 {
	font-family: 'roboto_slab' !important;
}

h3 {

}

h4 {

}

h5 {

}

h6 {

}

p {

}

b,
strong {

}

dfn,
cite,
em,
i {

}

blockquote {

}

a {
	color: #bc0404;
}

/**
 * 2.0 Elements
 -----------------------------------------------------------------------------
 */

hr {
    background-color: #eee;
    border: 0;
    clear: both;
    height: 1px;
    width: 100%;
}

/**
 * 3.0 Navigation
 -----------------------------------------------------------------------------
 */

/*** Primary Menu */

li.mobile-only { display: none !important; }

/*** Secondary Menu */


/*** Footer Menu */


/*** Mobile Menu */


/*** Pagination */


/**
 * 4.0 Header
 -----------------------------------------------------------------------------
 */

.header_button_row,
.top-header-row { align-items: center; }

.header_button_row .et_pb_button_module_wrapper:before {
	content: url(/wp-content/uploads/2024/12/phone.png);
	position: absolute;
    bottom: 9px;
    right: 135px;
    z-index: 999;
}

/**
 * 5.0 Content
 -----------------------------------------------------------------------------
 */

/*** Alignment */
.alignleft,
.wp-caption.alignleft,
blockquote.alignleft,
figure.wp-caption.alignleft,
img.alignleft {
    float: left;
    margin: 6px 20px 10px 4px;
}

.alignright,
.wp-caption.alignright,
blockquote.alignright,
figure.wp-caption.alignright,
img.alignright {
    float: right;
    margin: 6px 4px 10px 20px;
}

.aligncenter,
.wp-caption.aligncenter,
blockquote.aligncenter,
img.aligncenter,
.wp-caption.aligncenter {
    margin: 6px auto 10px;
}

.alignnone,
.wp-caption.alignnone {
    margin: 6px 0 10px;
}

.members-access-error {
	text-align: center;
    font-size: 24px;
    color: #000;
    margin: 90px 0;
}

.login-link,
.logout-link { 
	color: #fff; 
	margin-top: 8px;
	padding-bottom: 8px;
}

/*** Home Page */

.home-video-section .videoBackgroundWrapper { margin-bottom: -10px; }

.flip-box-row .et_pb_module,
.flip-box-row .et_pb_module .dsm_flipbox_child { min-height: 290px; }

.flip-box-row .et_pb_module .dsm_flipbox_child:first-child .et_pb_module_inner {
	position: absolute;
    bottom: 0;
    margin-left: 20px;
}

.flip-box-row .et_pb_module p { color: #fff !important; }
.flip-box-row .et_pb_module .dsm-title,
.flip-box-row .et_pb_module .dsm-subtitle {
	color: #fff !important;
	font-size: 26px !important;
	font-weight: 700 !important;
}
.flip-box-row .et_pb_module .dsm_flipbox_child:first-child .dsm-title,
.flip-box-row .et_pb_module .dsm_flipbox_child:first-child .dsm-subtitle {	
	background-color: #bc0404;
	display: table;
	padding: 10px;
	margin-bottom: 20px !important;
}

.flip-box-row .et_pb_module .dsm_flipbox_child:last-child .dsm_flipbox_wrapper { padding: 30px; }

.home_3col_row h2:after { 
	content: url(/wp-content/uploads/2024/12/red-arrow.png);
	position: relative;
    margin-left: 8px;
}

.home_fullw_img img{
	height: 520px;
    object-fit: cover;
}

/*** Secondary Control Page */

.sec_header_text {
	position: absolute;
    border-top: 10px solid #bc0404;
	font-weight: 800;
	padding-top: 5px;
	top: 90px;
}

.sec_header_backg {
	height: 300px;
}

.rental_img_row .et_pb_module{
	height: 380px;
}


.rental_img_mod .et_pb_text_inner{
	display: flex;
    flex-direction: column;
}


.rental_img_mod_inner_2{
	padding: 20px 0px 20px 18px;
    background-color: #bc0404;
    margin-bottom: 25px;
    margin: 0px 206px 10px 0px;
}

.rental_img_mod_inner_3{
	padding: 20px 0px 20px 18px;
    background-color: #bc0404;
    margin: 0px 138px 10px 0px;
}


/**
.rental_img_mod_2 .et_pb_text_inner:first-child{
	padding: 20px 0px 20px 10px;
    background-color: #bc0404;
    margin-bottom: 25px;
    margin: 0px 258px 10px 20px;
}

.rental_img_mod_2 .et_pb_text_inner:last-child{
    padding: 20px 0px 20px 10px;
    background-color: #bc0404;
    margin: 0px 138px 0px 20px;
}
*/


/*** FAQ Page */

.et_pb_accordion_item{
	margin-bottom: 0 !important;
	background: none !important;
	border-top: 1px  solid black;
	border-bottom: 1px  solid black;
	border-right: none;
	border-left:none;
}
.et_pb_accordion_item_0{
	border-top: 2px  solid black !important;
}
.et_pb_accordion_item_9{
	border-bottom: 2px  solid black !important;
}

/*** Accessibility Statement */
.et-search-form, blockquote {
    border-color: #bc0404;
}

/*** Contact Page */
.contact_form .gfield_label, .gform-field-label {
	color: white !important;
}

.contact_form .gfield_checkbox {
	flex-direction: row !important;
}

.gform_wrapper .gform_footer input[type=submit] {
	background-color: #bc0404 !important;
	border-radius: 50px !important;
	padding-left: 15px;
	padding-right: 15px;
}

/* Job Listings individual page */

.single-job_listing #main-content .container:before,
.single-job_listing #main-content #sidebar { display: none; }

.single-job_listing #main-content #left-area {
	width: 100% !important;
	padding-right: 0 !important;
}

/* Login/Logout Pages */

.login-mod { width: 30%; }

/* Privacy Page */

.privacy-pol-accordion .et_pb_accordion_item { 
	border-top: 2px solid #000 !important;
	border-bottom: none !important; 
}
.privacy-pol-accordion .et_pb_accordion_item:last-child { border-bottom: 2px solid #000 !important; }
/*.privacy-pol-accordion .et_pb_accordion_item_0 { border-top: none !important; }*/

/**
 * 6.0 Media
 -----------------------------------------------------------------------------
 */

/*** Captions */


/*** Galleries */


/*** Images */


/**
 * 7.0 Widgets
 -----------------------------------------------------------------------------
 */



/**
 * 8.0 Footer
 -----------------------------------------------------------------------------
 */

.top-footer-row a,
.bottom-footer-row a,
.footer_text_mod a{
	color: #fff !important;
}

/**
 * 9.0 Plugins
 -----------------------------------------------------------------------------
 */



/**
 * 10.0 Media Queries
 -----------------------------------------------------------------------------
 */

@media all and (max-width: 1200px) {

}

@media all and (max-width: 1080px) {
	.header_button_row .et_pb_menu .et_pb_menu__logo-wrap { width: 30% !important; }
	.sec_header_backg { height: 225px; }
	.sec_header_text { top: 30px; }
}

@media all and (max-width: 980px) {
	.top-header-row {
		display: flex;
		align-items: center;
	}
	.top-header-row .et_pb_column { margin-bottom: 0 !important; }
	.top-header-row .et_pb_menu__menu { display: block; }
	.top-header-row .et_mobile_nav_menu { display: none; }
	.header_button_row {
		display: flex;
		flex-direction: column-reverse;
	}
	.header_button_row .mobile_menu_bar:before { color: #bc0404 !important; }
	.header_button_row .et_mobile_menu { 
		border-top: 3px solid #bc0404;
		margin-top: 10px;
	}
	.header_button_row .et_pb_menu .et_pb_menu__logo-wrap { width: auto !important; }
	.home_3col_row .et_pb_module { text-align: center !important; }
	.top-footer-row { flex-direction: column; }
	.top-footer-row .et_pb_column { 
		width: 100% !important; 
		margin-right: 0 !important;
	}
	.top-footer-row .et_pb_column .et_pb_module { text-align: center !important; }
	.top-footer-row .et_pb_column:nth-child(4) { margin-bottom: 0 !important; }
	.top-footer-row .et_pb_column:nth-child(4) .et_pb_text p:last-child { padding-bottom: 1em !important; }
	.top-footer-row .et_pb_column:nth-child(5) .et_pb_text p:first-child { display: none; }
	.bottom-footer-row .et_pb_column { margin-right: 0 !important; }
	.bottom-footer-row .et_pb_column:first-child { width: 20%; }
	.bottom-footer-row .et_pb_column:nth-child(2) { width: 30%; }
	.bottom-footer-row .et_pb_column:last-child { width: 50%; }
	.contact_form .gform_title { line-height: 1.3em; }
	.contact_form .gfield_checkbox { flex-direction: column !important; }
	.traffic-control-3col-row .et_pb_module { text-align: center !important; }
	.flip-box-row .et_pb_module, 
	.flip-box-row .et_pb_module .dsm_flipbox_child { min-height: 420px; }
}

@media all and (max-width: 767px) {
	.top-header-row .et_pb_column:first-child { width: 15%; }
	.top-header-row .et_pb_column:last-child { width: 85%; }
	.flip-box-row .et_pb_module, 
	.flip-box-row .et_pb_module .dsm_flipbox_child { min-height: 325px; }
}

@media all and (max-width: 650px) {
	.bottom-footer-row { flex-direction: column; }
	.bottom-footer-row .et_pb_column { width: 100% !important; }
	.bottom-footer-row .et_pb_column .et_pb_module { text-align: center; }
	.flip-box-row .et_pb_module, 
	.flip-box-row .et_pb_module .dsm_flipbox_child { min-height: 275px; }
}

@media all and (max-width: 600px) {
	.header_button_row .et_pb_button_module_wrapper { text-align: center !important; }
	.header_button_row .et_pb_column:last-child { margin-bottom: 30px !important; }
	.header_button_row .et_pb_button_module_wrapper:before { right: 60%; }
}

@media all and (max-width: 550px) {
	.header_button_row .et_pb_button_module_wrapper:before { right: 62%; }
}

@media all and (max-width: 500px) {
	.header_button_row .et_pb_button_module_wrapper:before { right: 63%; }
	.flip-box-row .et_pb_module .dsm-content p { line-height: 1.2em; }
	.flip-box-row .et_pb_module .dsm-title { font-size: 18px !important; }
	.flip-box-row .et_pb_module .dsm_flipbox_child:last-child .dsm_flipbox_wrapper { padding: 15px; }
}

@media all and (max-width: 479px) {
	.header_button_row .et_pb_button_module_wrapper:before { right: 64%; }
	.header_button_row li.mobile-only { display: block !important; }
	.top-header-row .et_pb_column:last-child .et_pb_menu { display: none !important; }
	.top-header-row .et_pb_column:first-child,
	.top-header-row .et_pb_column:last-child { width: 50%; }
}

@media all and (max-width: 375px) {
	.header_button_row .et_pb_button_module_wrapper:before { right: 67%; }
}

/**
 * 11.0 Print
 -----------------------------------------------------------------------------
 */

@media print {

}